--------------------------------------------------------------
-- Puissance 4 / Connect4
--
-- Pascal MIETLICKI
-- INSA, Departement Genie Informatique
--
-- mailto:p.mietlicki@gmail.com
--
-- This is free software; you can redistribute it and/or 
-- modify without restriction. This software is under LGPL licence
--
-- This software is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
-- 
-- Graphic interface made with glade
-- Part of the program to create the gtkada objects
--------------------------------------------------------------

with Gtk.Handlers;
pragma Elaborate_All (Gtk.Handlers);
with Gtk.Image_Menu_Item; use Gtk.Image_Menu_Item;
with Gtk.Radio_Menu_Item; use Gtk.Radio_Menu_Item;
with Gtk.Menu_Item; use Gtk.Menu_Item;
with Gtk.Button; use Gtk.Button;

package Callbacks_Puissance4 is

   package Image_Menu_Item_Callback is new
     Gtk.Handlers.Callback (Gtk_Image_Menu_Item_Record);

   package Radio_Menu_Item_Callback is new
     Gtk.Handlers.Callback (Gtk_Radio_Menu_Item_Record);

   package Menu_Item_Callback is new
     Gtk.Handlers.Callback (Gtk_Menu_Item_Record);

   package Button_Callback is new
     Gtk.Handlers.Callback (Gtk_Button_Record);
     
   type Int_Ptr is access all positive;
   package Tab_Button_Callback is new Gtk.Handlers.User_Callback (Gtk_Button_Record, User_Type   => Int_Ptr);

end Callbacks_Puissance4;
