--------------------------------------------------------------
-- Puissance 4 / Connect4
--
-- Pascal MIETLICKI
-- INSA, Departement Genie Informatique
--
-- mailto:p.mietlicki@gmail.com
--
-- This is free software; you can redistribute it and/or 
-- modify without restriction. This software is under LGPL licence
--
-- This software is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
-- 
-- Graphic interface made with glade
-- ads callbacks (user interactions) for the principal window of the game made with GtkAda
--------------------------------------------------------------

with System; use System;
with Glib; use Glib;
with Gdk.Event; use Gdk.Event;
with Gdk.Types; use Gdk.Types;
with Gtk.Accel_Group; use Gtk.Accel_Group;
with Gtk.Object; use Gtk.Object;
with Gtk.Enums; use Gtk.Enums;
with Gtk.Style; use Gtk.Style;
with Gtk.Widget; use Gtk.Widget;
with Gtk.Main; Use Gtk.Main;
With Gtk.Dialog; Use Gtk.Dialog;
With Gtk.Gentry; Use Gtk.Gentry;
With GtkAda.Dialogs; Use GtkAda.Dialogs;
With Gtk.Handlers; Use Gtk.Handlers;



with Gtk.Arguments;
with Gtk.Widget; use Gtk.Widget;
with Gtk.Handlers; use Gtk.Handlers;
With Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
With My_Dialog; Use My_Dialog;
With Puissance4; Use Puissance4;
with calculia; use calculia;
With Noms_Pkg; Use Noms_Pkg;
With Ada.Text_Io; Use Ada.Text_Io;
With Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
With Puissance4; Use Puissance4;
With Callbacks_Puissance4; Use Callbacks_Puissance4;
with Glib;

package Fenetre_Pkg.Callbacks is

   procedure On_Nouveau
     (Object : access Gtk_Image_Menu_Item_Record'Class);

   procedure On_Quitter
     (Object : access Gtk_Image_Menu_Item_Record'Class);

   procedure On_Humain1
     (Object : access Gtk_Radio_Menu_Item_Record'Class);

   procedure On_Facile1
     (Object : access Gtk_Radio_Menu_Item_Record'Class);

   procedure On_Moyen1
     (Object : access Gtk_Radio_Menu_Item_Record'Class);

   procedure On_Dur1
     (Object : access Gtk_Radio_Menu_Item_Record'Class);

   procedure On_Humain2
     (Object : access Gtk_Radio_Menu_Item_Record'Class);

   procedure On_Facile2
     (Object : access Gtk_Radio_Menu_Item_Record'Class);

   procedure On_Moyen2
     (Object : access Gtk_Radio_Menu_Item_Record'Class);

   procedure On_Dur2
     (Object : access Gtk_Radio_Menu_Item_Record'Class);

   procedure On_Noms
     (Object : access Gtk_Menu_Item_Record'Class);

   procedure On_Aide
     (Object : access Gtk_Image_Menu_Item_Record'Class);

   procedure On_About
     (Object : access Gtk_Image_Menu_Item_Record'Class);

   --    procedure On_Button2_Clicked
   --      (Object : access Gtk_Button_Record'Class);
   --
   --    procedure On_Button3_Clicked
   --      (Object : access Gtk_Button_Record'Class);
   --
   --    procedure On_Button4_Clicked
   --      (Object : access Gtk_Button_Record'Class);
   --
   --    procedure On_Button5_Clicked
   --      (Object : access Gtk_Button_Record'Class);
   --
   --    procedure On_Button6_Clicked
   --      (Object : access Gtk_Button_Record'Class);
   --
   --    procedure On_Button7_Clicked
   --      (Object : access Gtk_Button_Record'Class);
   --
   --    procedure On_Button1_Clicked
   --      (Object : access Gtk_Button_Record'Class);

   procedure On_Button_Clicked (Object : access Gtk_Button_Record'Class; Callback_Data: in Int_Ptr);

   procedure Interaction_Bouton (Colonne : in Integer);

   procedure Ordinateur;



end Fenetre_Pkg.Callbacks;
