--------------------------------------------------------------
-- Puissance 4 / Connect4
--
-- Pascal MIETLICKI
-- INSA, Departement Genie Informatique
--
-- mailto:p.mietlicki@gmail.com
--
-- This is free software; you can redistribute it and/or 
-- modify without restriction. This software is under LGPL licence
--
-- This software is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
-- 
-- callbacks (user interactions) package for the name box
--------------------------------------------------------------

package body Noms_Pkg.Callbacks is

   use Gtk.Arguments;

   ------------------------
   -- On_Cancel_Activate --
   ------------------------

   procedure On_Cancel_Clicked
     (Object : access Gtk_Button_Record'Class)
   is
   begin
      destroy_cb(Noms);
   end On_Cancel_Clicked;

   --------------------
   -- On_Ok_Activate --
   --------------------

   procedure On_Ok_Clicked
     (Object : access Gtk_Button_Record'Class)
   is
    Format : Unbounded_string:= to_unbounded_string("Premier a jouer");
   begin  
    -- On récupére les noms rentrés par l'utilisateur
    if to_unbounded_string(get_text(Noms.all.Nom1))=Null_Unbounded_String
    then
    Donnees_Joueurs(1).NomJ:=to_unbounded_string("Joueur1");
    else
    Donnees_Joueurs(1).NomJ:=to_unbounded_string(get_text(Noms.all.Nom1));
    end if;
    if to_unbounded_string(get_text(Noms.all.Nom2))=Null_Unbounded_String
    then
    Donnees_Joueurs(2).NomJ:=to_unbounded_string("Joueur2");
    else
    Donnees_Joueurs(2).NomJ:=to_unbounded_string(get_text(Noms.all.Nom2));
    end if;
    -- On les affiche dans le label
   Set_Text(Jeu.L_Nom1, to_string(Donnees_Joueurs(1).NomJ));            
   Set_Text(Jeu.L_Nom2, to_string(Donnees_Joueurs(2).NomJ));
   destroy_cb(Noms);
   Interaction_Joueurs(Format);
   end On_Ok_Clicked;

end Noms_Pkg.Callbacks;
