--------------------------------------------------------------
-- Puissance 4 / Connect4
--
-- Pascal MIETLICKI
-- INSA, Departement Genie Informatique
--
-- mailto:p.mietlicki@gmail.com
--
-- This is free software; you can redistribute it and/or 
-- modify without restriction. This software is under LGPL licence
--
-- This software is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
-- 
-- package for the confirmation when the user quit
--------------------------------------------------------------

with System; use System;
with Glib; use Glib;
with Gtk; use Gtk;
with Gdk.Event; use Gdk.Event;
with Gdk.Types; use Gdk.Types;
with Gtk.Widget; use Gtk.Widget;
with Gtk.Accel_Group; use Gtk.Accel_Group;
with Gtk.Object; use Gtk.Object;
with Gtk.Enums; use Gtk.Enums;
with Gtkada.Intl; use Gtkada.Intl;
with Gtk.Style; use Gtk.Style;
with Gtk.Widget; use Gtk.Widget;
with Gtkada.Handlers; use Gtkada.Handlers;
with Gtk.Window; use Gtk.Window;
with Gtk.Box; use Gtk.Box;
with Gtk.Label; use Gtk.Label;
with Gtk.Button; use Gtk.Button;
with Gtkada.Intl; use Gtkada.Intl;

package My_Dialog is

   type Window_Record is new Gtk_Window_Record with record
      Vbox : Gtk_Vbox;
      Label : Gtk_Label;
      Hbox : Gtk_Hbox;
      Oui : Gtk_Button;
      Non : Gtk_Button;
   end record;
   type Window_Access is access Window_Record'Class;

   function "-" (Msg : String) return String;
   procedure Gtk_New (Window : out Window_Access);
   procedure Initialize (Window : access Window_Record'Class);

end My_Dialog;
