--------------------------------------------------------------
-- Puissance 4 / Connect4
--
-- Pascal MIETLICKI
-- INSA, Departement Genie Informatique
--
-- mailto:p.mietlicki@gmail.com
--
-- This is free software; you can redistribute it and/or 
-- modify without restriction. This software is under LGPL licence
--
-- This software is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
-- 
-- package for the name box
--------------------------------------------------------------


-- Les paquetages GTKAda --
with Glib; use Glib;
with Gtk; use Gtk;
with Gdk.Types; use Gdk.Types;
with Gtk.Widget; use Gtk.Widget;
with Gtk.Enums; use Gtk.Enums;
with Gtkada.Handlers; use Gtkada.Handlers;
with Gtk.Dialog; use Gtk.Dialog;
with Gtk.Button; use Gtk.Button;
with Gtk.Object; use Gtk.Object;
with Gtk.Box; use Gtk.Box;
with Gtk.Table; use Gtk.Table;
with Gtk.Label; use Gtk.Label;
with Gtk.GEntry; use Gtk.GEntry;
with Glib.Unicode; use Glib.Unicode;
with Gtk.Window; use Gtk.Window;
with Gtk.Box; use Gtk.Box;
with Gtk.Menu_Bar; use Gtk.Menu_Bar;
with Gtk.Image_Menu_Item; use Gtk.Image_Menu_Item;
with Gtk.Image; use Gtk.Image;
with Gtk.Menu; use Gtk.Menu;
with Gtk.Accel_Group; use Gtk.Accel_Group;
with Gdk.Types.Keysyms; use Gdk.Types.Keysyms;
with Gtk.Menu_Item; use Gtk.Menu_Item;
with Gtk.Radio_Menu_Item; use Gtk.Radio_Menu_Item;
with Gtk.Table; use Gtk.Table;
with Gtk.Button; use Gtk.Button;
with Gtk.Frame; use Gtk.Frame;
with Gtk.Label; use Gtk.Label;
with Gtk.Status_Bar; use Gtk.Status_Bar;

-- Les paquetages pour notre programme --
with Callbacks_Puissance4; use Callbacks_Puissance4;
with Puissance4_Intl; use Puissance4_Intl;

package Noms_Pkg is

   type Noms_Record is new Gtk_Dialog_Record with record
      Cancel : Gtk_Button;
      Ok : Gtk_Button;
      Table1 : Gtk_Table;
      Label1 : Gtk_Label;
      Label2 : Gtk_Label;
      Nom1 : Gtk_Entry;
      Nom2 : Gtk_Entry;
   end record;
   type Noms_Access is access Noms_Record'Class;

   procedure Gtk_New (Noms : out Noms_Access);
   procedure Initialize (Noms : access Noms_Record'Class);

end Noms_Pkg;
